
#ifndef __LOGUTIL_H__
#define __LOGUTIL_H__

#include <android/log.h>

// 主要用于消息的log打印

#define LOG_TAG "___module2___"
#define __SHOW_LOG__
#ifdef __SHOW_LOG__
#define LOGI(...) __android_log_print(ANDROID_LOG_INFO, LOG_TAG, __VA_ARGS__)
#define LOGE(...) __android_log_print(ANDROID_LOG_ERROR, LOG_TAG, __VA_ARGS__)
#else
#define LOGI(...) while(0)
#define LOGE(...) while(0)
#endif

#endif /* __LOGUTIL_H__ */
