plugins {
    alias(libs.plugins.android.application)
}

android {
    namespace = "com.armcloud.ssdemo"
    compileSdk = 34

    defaultConfig {
        applicationId = "com.armcloud.ssdemo"
        minSdk = 26
        targetSdk = 34
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
}

dependencies {

    implementation(libs.appcompat)
    implementation(libs.material)
    implementation(libs.activity)
    implementation(libs.constraintlayout)
    implementation("androidx.compose.material3:material3:1.2.0")

    implementation("net.armcloud.xscore:xscore:1.0.0")
    implementation("org.lsposed.hiddenapibypass:hiddenapibypass:4.3")
}