#include <jni.h>
#include <string>
#include <android/log.h>
#include "LogUtil.h"
char name[100] = "hello world";
extern "C" JNIEXPORT jstring JNICALL
Java_com_armcloud_testapp_MainActivity_stringFromJNI(
        JNIEnv* env,
        jobject /* this */,
        jstring str) {
    std::string hello = "Hello from C++";
    int len = strlen(name);
    LOGI("name len=%d", len);
    return env->NewStringUTF(hello.c_str());
}

extern "C" JNIEXPORT jint JNICALL
Java_com_armcloud_testapp_MainActivity_add(
        JNIEnv* env,
jobject /* this */,
jint a, jint b) {
    jint ret = 0;
    LOGI("call Java_com_armcloud_testapp_MainActivity_add(%d %d) ", a, b);
    if(a > b){
        ret = a - b;
    } else{
        ret = a + b;
    }
    LOGI("call Java_com_armcloud_testapp_MainActivity_add(%d %d)=%d", a, b, ret);
    return ret;
}
